import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { WithAccelerationSubscription } from "./with-use-acceleration-subscription.js";
/**
 * A component wrapper for {@link WithAccelerationSubscription} and {@link WithOrientationSubscription}
 *
 * @remarks
 * Render this component when {@link WithMotionSubscriptionParam.deep} and {@link WithMotionSubscriptionParam.deviceLinkId} are ready
 *
 * @example
```tsx
function MyComponent(deep, deviceLinkId) {
   return deep.linkId && deviceLinkId ?
      <WithMotionSubscription deep={deep} deviceLinkId={deviceLinkId} /> :
      null;
}
```
 */
export function WithMotionSubscription(param) {
    return (_jsx(_Fragment, { children: _jsx(WithAccelerationSubscription, { ...param }) }));
}
