import { Device } from "@capacitor/device";
import { useState, useEffect } from "react";
export function WithPlatformChecking(options) {
    const { renderIfNotSupported, renderIfSupported, renderIfLoading } = options;
    const [platform, setPlatform] = useState(undefined);
    useEffect(() => {
        Device.getInfo().then(deviceInfo => {
            setPlatform(deviceInfo.platform);
        });
    }, []);
    if (platform === undefined) {
        return renderIfLoading();
    }
    else if (platform === 'web') {
        return renderIfNotSupported();
    }
    else {
        return renderIfSupported();
    }
}
